import request from '@/utils/request'

// 查询物料BOM信息列表
export function listMaterialBom(query) {
  return request({
    url: '/mes/materialBom/list',
    method: 'get',
    params: query
  })
}

// 查询物料BOM信息详细
export function getMaterialBom(materialBomId) {
  return request({
    url: '/mes/materialBom/' + materialBomId,
    method: 'get'
  })
}

// 查询物料BOM版本列表
export function getMaterialVisionList(materialId) {
  return request({
    url: '/mes/materialBom/getMaterialVisionList/' + materialId,
    method: 'get'
  })
}

// 新增物料BOM信息
export function addMaterialBom(data) {
  return request({
    url: '/mes/materialBom',
    method: 'post',
    data: data
  })
}

// 修改物料BOM信息
export function updateMaterialBom(data) {
  return request({
    url: '/mes/materialBom',
    method: 'put',
    data: data
  })
}

// 删除物料BOM信息
export function delMaterialBom(materialBomId) {
  return request({
    url: '/mes/materialBom/' + materialBomId,
    method: 'delete'
  })
}
